#{extends 'borderNG.html' /}
<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'kontrak.paket_pkk'}</a></li>
    <li class="active">&{'kontrak.form_doc_lainnya'}</li>
</ol>
<div class="content">
#{alert /}
#{form @kontrak.PembayaranCtr.simpanDokumenLain(lelang.lls_id), name:'formDokLain', enctype:"multipart/form-data", method:'POST'}
    <table class="table table-sm">
		#{if dokLain?.dlp_id!=null}
            <input type="hidden" name="dokLain.dlp_id" value="${dokLain?.dlp_id}">
		#{/if}
        <tr >
            <td  width="300">&{'kontrak.nama_doc'}: </td>
            <td class="#{errorClass 'dokLain.dlp_nama_dokumen'/}">
                <input type="text" class="form-control input-sm" name="dokLain.dlp_nama_dokumen"
                       value="${dokLain?.dlp_nama_dokumen}"/>
                <span class="help-block">#{error 'dokLain.dlp_nama_dokumen' /}</span>
            </td>
        </tr>
        <tr >
            <td  width="300">&{'kontrak.no_doc'}: </td>
            <td class="#{errorClass 'dokLain.dlp_nomor_dokumen'/}">
                <input type="text" class="form-control input-sm" name="dokLain.dlp_nomor_dokumen" value="${dokLain?.dlp_nomor_dokumen}"/>
                <span class="help-block">#{error 'dokLain.dlp_nomor_dokumen' /}</span>
            </td>
        </tr>
        <tr >
            <td >&{'kontrak.tanggal_doc'}: </td>
            <td class="#{errorClass 'dokLain.dlp_tanggal_dokumen'/}">
                <div class=" input-group date width-normal ">
                    <input name="dokLain.dlp_tanggal_dokumen" value="${dokLain?.dlp_tanggal_dokumen?.toDatepicker()}" type="text" class="form-control" />
                    <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                </div>
            </td>
        </tr>
        <tr >
            <td  width="300">&{'kontrak.upload_doc'}: </td>
            <td class="#{errorClass 'dokLain.dlp_id_attachment'/}">
                #{if dokLain?.dlp_id_attachment}
                    <br />
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a name="dlpAttachment" href="${dokLain?.blob?.getDownloadUrl(models.handler.BeritaDownloadHandler.class)}">${dokLain?.blob?.getFileName()}</a>
                            <a href="javascript:void(0)" class="removeBtn">
                                <input type="hidden" name="hapus" value="${dokLain.dlp_id_attachment}">
                                <i class="fa fa-trash-o fa-lg"></i>
                            </a>
                        </li>
                    </ul>
                #{/if}
                <input type="file" id="attachment"  size="60" name="dlpAttachment" class="form-control #{validate 'dokLain.dlp_id_attachment'/}"  />
                <div class="invalid-feedback">#{error 'dokLain.dlp_id_attachment' /}</div>

            </td>
        </tr>
        <tr >
            <td  width="300">&{'kontrak.keterangan'}: </td>
            <td class="#{errorClass 'dokLain.dlp_keterangan'/}">
                <input type="text" class="form-control input-sm" name="dokLain.dlp_keterangan" value="${dokLain?.dlp_keterangan}"/>
                <span class="help-block">#{error 'dokLain.dlp_keterangan' /}</span>
            </td>
        </tr>



        <tr>
            <td colspan="3">
                <button type="submit" name="simpan"  class="btn btn-success"><i class="fa fa-save"></i> &{'kontrak.btn_simpan'}</button>


			*{	#{if pesananx?.pes_id}
					<a href="@{nonlelang.KontrakPlCtr.cetakPesananPl(pl.lls_id,pesananx.pes_id)}" class="btn btn-primary" ><i class="fa fa-print"></i> &{'kontrak.cetak'}</a>
					<a href="@{nonlelang.KontrakPlCtr.hapusPesananPl(pesananx.pes_id,pl.lls_id)}" class="btn btn-danger" ><i class="fa fa-trash-o fa-lg"></i> &{'kontrak.btn_hapus'}</a>
					#{/if}}*
                <a href="@{BerandaCtr.index()}"  class="btn btn-default">  &{'kontrak.btn_kembali'}</a>
            </td>
        </tr>
    </table>
#{/form}
</div>
#{set 'css_custom' }
<link href="#{assets '/handsontable/handsontable.full.min.css'/}" rel="stylesheet" type="text/css">
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript">

    $(document).on('click', '.removeBtn', function(){
        $(this).parent().parent().remove()
    });

</script>
#{/set}